Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QInputMethodEvent.AttributeType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QInputMethodEvent.AttributeType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QInputMethodEvent

    public static final class QInputMethodEvent.AttributeType

extends java.lang.Enum
implements QtEnumerator

See also.
  Attribute.

See Also:
  Serialized Form

Field Summary
`static QInputMethodEvent.AttributeType` | `Cursor` If set, a cursor should be shown inside the preedit string at position start.
`static QInputMethodEvent.AttributeType` | `Language` The variant contains a `QLocale` object specifying the language of a certain part of the preedit string.
`static QInputMethodEvent.AttributeType` | `Ruby` The ruby text for a part of the preedit string.
`static QInputMethodEvent.AttributeType` | `TextFormat` A `QTextCharFormat` for the part of the preedit string specified by start and length.

Method Summary
`static QInputMethodEvent.AttributeType` | `resolve(int value)` Returns the QInputMethodEvent$AttributeType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QInputMethodEvent.AttributeType` | `valueOf(java.lang.String name)`
`static QInputMethodEvent.AttributeType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TextFormat

    public static final QInputMethodEvent.AttributeType TextFormat

  A `QTextCharFormat` for the part of the preedit string specified by start and length. value contains a `QVariant` of type `QTextFormat` specifying rendering of this part of the preedit string. There should be at most one format for every part of the preedit string. If several are specified for any character in the string the behaviour is undefined. A conforming implementation has to at least honor the backgroundColor, textColor and fontUnderline properties of the format.

### Cursor

    public static final QInputMethodEvent.AttributeType Cursor

  If set, a cursor should be shown inside the preedit string at position start. The length variable determines whether the cursor is visible or not. If the length is 0 the cursor is invisible. If value is a `QVariant` of type `QColor` this color will be used for rendering the cursor, otherwise the color of the surrounding text will be used. There should be at most one Cursor attribute per event. If several are specified the behaviour is undefined.

### Language

    public static final QInputMethodEvent.AttributeType Language

  The variant contains a `QLocale` object specifying the language of a certain part of the preedit string. There should be at most one language set for every part of the preedit string. If several are specified for any character in the string the behaviour is undefined.

### Ruby

    public static final QInputMethodEvent.AttributeType Ruby

  The ruby text for a part of the preedit string. There should be at most one ruby text set for every part of the preedit string. If several are specified for any character in the string the behaviour is undefined.

Method Detail

### values

    public static QInputMethodEvent.AttributeType[] values()

### valueOf

    public static QInputMethodEvent.AttributeType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QInputMethodEvent.AttributeType resolve(int value)

  Returns the QInputMethodEvent$AttributeType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD